STTY(1)

NOMBRE
stty - Cambia y escribe las opciones de la comunicación con los terminales

SINOPSIS
stty [-F DISPOSITIVO | --file=DISPOSITIVO] [OPCIONES]...
stty [-F DISPOSITIVO | --file=DISPOSITIVO] [-a|--all]
stty [-F DISPOSITIVO | --file=DISPOSITIVO] [-g|--save]

DESCRIPCIÓN

Muestra o establece las características de la terminal.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-a, --all
    muestra todos los valores actuales en forma legible para humanos

-g, --save
    muestra todos los valores actuales en forma legible para ttys

-F, --file=DISPOSITIVO
    abre y utiliza el DISPositivo especificado en lugar de la entrada estándar

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Un - opcional antes de VALOR indica negación. Un * marca valores no POSIX. El sistema subyacente define qué valores están disponibles.

  Caracteres especiales:

* discard CAR
    CAR alternará el descarte de la salida

eof CAR
    CARácter enviará un fin de línea (termina la entrada)

eol CAR
    CARácter terminará la línea

* eol2 CAR
    CARácter alternativo para terminar la línea

erase CAR
    CARácter borrará el último carácter tecleado

intr CAR
    CARácter enviará una señal de interrupción

kill CAR
    CARácter borrará la línea actual

* lnext CAR
    CAR introducirá el siguiente carácter citado

quit CAR
    CAR enviará la señal de terminación.

* rprnt CAR
    CAR reescribirá la línea actual.

start CAR
    CAR reiniciará la salida después de haberla detenido

stop CAR
    CARácter detendrá la salida

susp CAR
    CARácter enviará una señal de alto a la terminal

* swtch CAR
    CARácter establecerá un contexto diferente de shell

* werase CAR
    CARácter borrará la última palabra tecleada

  Opciones especiales:

N   establece la velocidad de entrada y salida a N baudios

* cols N
    dice al núcleo que la terminal tiene N columnas

* columns N
    igual que cols N

* [-]drain
    espera por la transmisión antes de aplicar la configuración (activado por defecto)

ispeed N
    establece la velocidad de entrada a N

* line N
    utiliza la disciplina de línea N

min N
    con -icanon, establece a N caracteres como mínimo para una lectura completada

ospeed N
    Fijar la velocidad de salida a N

* rows N
    dice al núcleo que la terminal tiene N líneas

* size
    muestra el número de líneas y columnas de acuerdo con el núcleo

speed
    muestra la velocidad de la terminal

time N
    con -icanon, establece el tiempo fuera de lectura en N décimas de segundo

  Opciones de control:

[-]clocal
    ignorar las señales de control del módem

[-]cread
    permitir recibir entradas

* [-]crtscts
    permitir el control mediante las señales RTS/CTS

csN Fijar el tamaño del carácter en N bits [5..8]

[-]cstopb
    usar dos bits de parada por cada carácter (únicamente uno si se especifica '-')

[-]hup
    enviar una señal de colgado (SIGHUP) cuando el último proceso cierra el terminal

[-]hupcl
    igual que [-]hup

[-]parenb
    generar un bit de paridad en las salidas y espera un bit de paridad en las entradas

[-]parodd
    fija la paridad como impar (incluso si se especifica `-').

* [-]cmspar
    utiliza paridad "stick" (marca/espacio)

  Opciones de entrada:

[-]brkint
    los caracteres de interrupción provocarán una señal de interrupción

[-]icrnl
    traducir los caracteres de retorno de carro a caracteres de nueva línea

[-]ignbrk
    ignorar los caracteres de interrupción

[-]igncr
    ignorar los retornos de carro

[-]ignpar
    ignorar los caracteres con errores de paridad

* [-]imaxbel
    emite un pitido y no vacía un búfer de entrada lleno con un carácter

[-]inlcr
    traducir los caracteres de nueva línea a caracteres de retorno de carro

[-]inpck
    activar el chequeo de la paridad de las entradas

[-]istrip
    poner a cero el bit alto (el octavo) de los caracteres de entrada

* [-]iutf8
    asume que los caracters de entrada tienen la codificación UTF-8

* [-]iuclc
    traducir los caracteres en mayúsculas a caracteres en minúsculas

* [-]ixany
    deja que cualquier carácter reinicie la entrada, no solo el carácter de inicio

[-]ixoff
    permite el envío de caracteres de inicio/alto

[-]ixon
    activar el control del flujo mediante XON/XOFF

[-]parmrk
    marcar los errores de paridad (con una secuencia de 255-0-caracteres)

[-]tandem
    igual que [-]ixoff

  Opciones de salida:

* bsN
    Estilo a utilizar para los retrasos de backspace, N en [0..1]

* crN
    Estilo a utilizar para los retrasos de retorno de carro, N en [0..3]

* ffN
    Estilo a utilizar para los retrasos de salto de página, N en [0..1]

* nlN
    Estilo a utilizar para los retrasos de nueva línea, N en [0..1]

* [-]ocrnl
    traducir los caracteres de retorno de carro a caracteres de nueva línea

* [-]ofdel
    Usar caracteres de borrado para rellenar en vez de caracteres nulos

* [-]ofill
    rellenar con caracteres (padding) en vez de utilizar tiempos para las esperas

* [-]olcuc
    traducir los caracteres en minúsculas a caracteres en mayúsculas

* [-]onlcr
    Traducir los caracteres de nueva línea a caracteres de retorno de carro

* [-]onlret
    los caracteres de nueva línea producen un retorno de carro

* [-]onocr
    no escribir los retornos de carro en la primera columna

[-]opost
    postproceso de salida

* tabN
    Estilo a utilizar para los retrasos de tabulación horizontal, N en [0..3]

* tabs
    igual que tab0

* -tabs
    igual que tab3

* vtN
    Estilo a utilizar para los retrasos de tabulación vertical, N en [0..1]

  Opciones locales:

[-]crterase
    hacer eco de los caracteres de borrado tales como backspace-espacio-backspace

* crtkill
    mata toda la línea obedeciendo los valores echoprt y echoe

* -crtkill
    mata toda la línea obedeciendo los valores echoctl y echok

* [-]ctlecho
    Hacer eco de los caracteres de control usando notación circunfleja (`^c')

[-]echo
    hacer eco de los caracteres de entrada

* [-]echoctl
    igual que [-]ctlecho

[-]echoe
    igual que [-]crterase

[-]echok
    escribir una nueva línea después de un carácter KILL

* [-]echoke
    igual que [-]crtkill

[-]echonl
    escribir una nueva línea incluso si no se está escribiendo ningún otro carácter

* [-]echoprt
    hacer eco de los caracteres borrados últimamente, entre '\' y '/'

* [-]extproc
    activa "LINEMODE"; útil con enlace con una elevada latencia

* [-]flusho
    descarta la salida

[-]icanon
    activa los caracteres especiales: erase, kill, werase, rprnt

[-]iexten
    permitir caracteres especiales no POSIX

[-]isig
    permitir los caracteres especiales INTERRUPT, QUIT y SUSPEND

[-]noflsh
    no permitir el vaciado de la memoria intermedia después de los caracteres especiales QUIT e INTERRUPT

* [-]prterase
    igual que [-]echoprt

* [-]tostop
    detener los trabajos que se están ejecutando en segundo plano que intenten escribir en el terminal

* [-]xcase
    con icanon, escapa con '\' para caracteres en mayúscula

  Opciones combinadas:

* [-]LCASE
    igual que [-]lcase

cbreak
    igual que -icanon

-cbreak
    igual que icanon

cooked
    igual que caracteres brkint ignpar istrip icrnl ixon opost isig icanon, eof y eol a sus valores por omisión

-cooked
    igual que raw

crt igual que echoe echoctl echoke.

dec igual que echoe echoctl echoke -ixany intr ^c erase 0177 kill ^u

* [-]decctlq
    igual que [-]ixany

ek  caracteres erase y kill a sus valores por omisión

evenp
    igual que parenb -parodd cs7

-evenp
    igual que -parenb cs8

* [-]lcase
    igual que xcase iuclc olcuc

litout
    igual que -parenb -istrip -opost cs8

-litout
    igual que parenb istrip opost cs7

nl  igual que -icrnl -onlcr

-nl igual que icrnl -inlcr -igncr onlcr -ocrnl -onlret

oddp
    igual que parenb parodd cs7

-oddp
    igual que -parenb cs8

[-]parity
    igual que [-]evenp

pass8
    igual que -parenb -istrip cs8

-pass8
    igual que parenb istrip cs7

raw igual que -ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr -icrnl -ixon -ixoff -icanon -opost -isig -iuclc -ixany -imaxbel -xcase min 1 time 0

-raw
    igual que cooked

sane
    igual que cread -ignbrk brkint -inlcr -igncr icrnl icanon iexten echo echoe echok -echonl -noflsh -ixoff -iutf8 -iuclc -ixany imaxbel -xcase -olcuc -ocrnl opost -ofill onlcr -onocr -onlret nl0 cr0 tab0 bs0 vt0 ff0 isig -tostop -ofdel -echoprt echoctl echoke -extproc -flusho y todos los caracteres especiales a sus valores por omisión.

Maneja la línea tty conectada a la entrada estándar. Sin argumentos, muestra la tasa de baudios, la disciplina de línea, y desviaciones con respecto de `stty sane'. En valores, el CARácter es tomado literalmente, o codificado como en ^c, 0x37, 0177 ó 127; los valores especiales ^- o undef son utilizados para no permitir caracteres especiales.

AUTOR
Escrito por David MacKenzie.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Ayuda en línea: <https://www.gnu.org/software/coreutils/stty>
también disponible localmente ejecutando: info '(coreutils) stty invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Javi Diaz <javid@si.upc.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.